Forex Factory (https://www.forexfactory.com/forum.php)
-   Trading Discussion (https://www.forexfactory.com/forumdisplay.php?f=11)
-   -   MT4 New build 600 is released (https://www.forexfactory.com/showthread.php?t=469491)

entheos Feb 3, 2014 5:11pm | Post# 1

MT4 New build 600 is released
 
http://forum.mql4.com/60555
How can i update?

RaptorUK Feb 3, 2014 5:16pm | Post# 2

http://forum.mql4.com/60555 How can i update?
Wait for your Broker to push it to you. Or ask them when they will be doing it . .

entheos Feb 3, 2014 5:24pm | Post# 3

{quote} Wait for your Broker to push it to you. Or ask them when they will be doing it . .

I did update myself.

Mudruff Feb 3, 2014 6:26pm | Post# 4

How u did update?

entheos Feb 3, 2014 7:55pm | Post# 5

How u did update?

tool-option,
change server~demo.metaquotes.net:443 platform restart.
open new account (via metaquotes server)
Wait for update.
after update,
select your broker account.
you can login your broker account.

entheos Feb 3, 2014 8:16pm | Post# 6

How u did update?

But
Don`t expect.
manual trading has little to gain from new build.
But you can buy something through App Market tap.
and If you set alert,
It is displayed on a chart with arrow.

Mudruff Feb 3, 2014 9:19pm | Post# 7

Thanks entheos, it worked good !

entheos Feb 3, 2014 10:08pm | Post# 8

Now it is updated automatically.

hifromeddie Feb 3, 2014 11:50pm | Post# 9

I don't know if it is just the MT4 I downloaded, but I downloaded MT4 Build 600, and all EA's created before Build 600 don't work in Build 600. Multiple errors show up in the ea codes.

RaptorUK Feb 4, 2014 4:54am | Post# 10

I don't know if it is just the MT4 I downloaded, but I downloaded MT4 Build 600, and all EA's created before Build 600 don't work in Build 600. Multiple errors show up in the ea codes.

At compile time or run time ? you don't need to recompile if you don't have to, you can use your 509 built .ex4s in build 600, most will work.

hanover Feb 4, 2014 4:54am | Post# 11

I exited and restarted Axi Trader's MT4 today, and presto, build 600 automatically appeared, without any prompting. Just for fun, I compiled one of my EAs (which has been running happily on build 509 for about 5 months now) and got 102 fatal errors and 132 warning errors. Bravo MetaQuotes!

rockit Feb 4, 2014 5:14am | Post# 12

Bravo MetaQuotes!
They should have done this approx. 8 years ago already.
My broker has not updated so far even on demo. Now, this sucks!

hanover Feb 4, 2014 5:22am | Post# 13

{quote} They should have done this approx. 8 years ago already. My broker has not updated so far even on demo. Now, this sucks!
You're being sarcastic, right?
Or are you volunteering to rewrite all of my 500+ EAs and indicators for me, for free?

rockit Feb 4, 2014 5:28am | Post# 14

{quote}You're being sarcastic, right? Or are you volunteering to rewrite all of my 500+ EAs and indicators for me, for free?
Hahaha
I not mad!
No, really, (now) old mt4 was not (and mt4 still is not) appropriate platform for nowadays fx. A relic of the "good ol' market maker golden age time". R.I.P.

hanover Feb 4, 2014 5:32am | Post# 15

{quote} Hahaha I not mad! No, really, (now) old mt4 was not (and mt4 still is not) appropriate platform for nowadays fx. A relic of the "good ol' market maker golden age time". R.I.P.
Have a nice day.

MKFXTrader Feb 4, 2014 5:39am | Post# 16

Is it possible to switch off the update feature on my MT4 platform? I DO NOT want the update at this time. Thank you.

positiveday Feb 4, 2014 6:01am | Post# 17

It's the first time that I'm really satisfied from an initiative of MetaQuotes.
Well done.
(Although after update all .set files in "\presets" directory are vanished ... and are really disappeared from entire hdd)
Some little issue will be normal.
But the benefits will outweigh these little teething problems.

MPP Feb 4, 2014 6:16am | Post# 18

I spoke with my account manager at FXCM - he assures me that all of my current EA's indi's etc will all work without issue.

however if code looks to have been decompiled or has typical decompile signatures you may have an issue, decompiled code generally has a lot of "Lil_1" and "double gd_144" type of code. instead of direct reference such as double RSI value 1.

hanover Feb 4, 2014 6:47am | Post# 19

I spoke with my account manager at FXCM - he assures me that all of my current EA's indi's etc will all work without issue. however if code looks to have been decompiled or has typical decompile signatures you may have an issue, decompiled code generally has a lot of "Lil_1" and "double gd_144" type of code. instead of direct reference such as double RSI value 1.
No disrespect to your account manager, but I assume that he's not a programmer, and he's simply forwarding sales info that MQ have told him. From what he's saying, it sounds like underscores are no longer valid in variable names. (And in any case, decompiling code involves violation of copyright).

MQ state that EX4 files compiled on earlier builds will run 'as is' on build 600. That is apparently their intention; but it remains to be seen how bug-free the implementation is, especially with more complex code.

However, what is certain is that problems will occur if you try to compile old MQ4 files using the build 600 compiler. The programming language has been enhanced, but elements of the old MT4's syntax are incompatible with the new compiler. Hence, if you ever want to have your existing indys/EAs enhanced or modified in any way, then when you compile the old code you'll get errors, and you'll have to re-code the indy/EA accordingly.
____________

@MKFXTrader: whether or when you're forced to upgrade to build 600 could well depend on your br0ker. From what I've read, it's not possible to switch off the update feature, but I'll investigate further myself tomorrow.

MKFXTrader Feb 4, 2014 6:52am | Post# 20

{quote} @MKFXTrader: whether or when you're forced to upgrade to build 600 could well depend on your br0ker. From what I've read, it's not possible to switch off the update feature, but I'll investigate further myself tomorrow.
Thanks Hanover. I would prefer not to update if prompted at this time, until all the bugs and questions regarding indis are satisfied. I'll wait for your post. Would be interested in knowing if we can decline the upgrade or turn it off altogether. Thanks again.


© Forex Factory